Subject: Re: bug#46669: Godot fails to start

From: Leo Prikler <[email-masked]>
Date: Sun, 21 Feb 2021 12:07:45 +0100

Hi,

Am Sonntag, den 21.02.2021, 10:05 +0100 schrieb Maxime Devos:
> Hi,
> 
> On Sat, 2021-02-20 at 19:37 -0500, Leo Famulari wrote:
> > [...]
> > It will be while before libx11 is updated in Guix, because changing
> > it
> > causes a huge number of packages to be rebuilt:
> > 
> > $ guix refresh --list-dependent libx11
> > Building the following 5793 packages would ensure 12459 dependent
> > packages are rebuilt:
> > 
> > Is there anything we can change in godot, in the meantime?
> 
> Is there any reason the ("libx11" ,libx11) cannot simply be replaced
> with
> ("libx11" ,libx11-fixed) in the package inputs for godot, where
> libx11 is
> the updated libx11?  Or alternatively, could the ‘grafts’ mechanism
> be used?
> Or is that reserved for security updates?
In my opinion we should graft libx11, as long as it doesn't
inadvertently introduce any issues (which could however be grafted
again once they become noticed).  The way the original bug was fixed
previously caused similar issues in other applications, such as Emacs,
and fixes in those applications usually result in disabling XIM
altogether.  This means, that for applications, which don't ship their
own input mechanisms writing anything other than Latin becomes hard.

Regards,
Leo